Subject: Re: New package ap2-python
To: Marc Recht <>
From: D'Arcy J.M. Cain <>
List: tech-pkg
Date: 06/11/2004 07:18:27
On Fri, 11 Jun 2004 12:55:28 +0200
Marc Recht <> wrote:
> > Actually it is based on the FreeBSD port.  I guess I should look at
> You could clean up some FreeBSD ports specific variables like
> USE_REINPLACE and MESSAGE should be FreeBSD specific since there's no

I had already removed the MESSAGE lines.  You must have picked up an
older version before I repackaged it.  I am removing  USE_REINPLACE.  It
looks like USE_PYTHON and MAKE_ENV can be removed as well.

> libc_r on NetBSD. You also don't need to include apr's
> directly if you set APCHE_MODULE to yes. I'm not sure aobut the

Gone and gone.

> entry and the patch. I don't have these in my pkg and builds and (or

The patch was actually done by the Makefile when Python 2.3 or greater
was used.  I simply made 2.3 a requirement and made it a straight patch.

> not) works the same, but I didn't test it on any other platform than
> NetBSD 2.0_BETA. I'm also not sure if it runs with python23 (without
> threads).

That's what I am testing.

> > yours for differences.  As for the Mutex errors, I have someone
> > setting up the conf file to use the module now.  I will let you know
> > what happens.
> I just tried it and I am havin the same problems with it: 

I suspect that it won't be an issue since I am using unthreaded Python
but I will let you know.

D'Arcy J.M. Cain <>